package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 平台活动酒款对象 wy_platform_activity_beer
 * 
 * @author ruoyi
 * @date 2025-01-06
 */
public class WyPlatformActivityBeer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 平台活动id */
    private Long activityId;

    /** 酒款id */
    private Long beerId;

    public void setActivityId(Long activityId) 
    {
        this.activityId = activityId;
    }

    public Long getActivityId() 
    {
        return activityId;
    }
    public void setBeerId(Long beerId) 
    {
        this.beerId = beerId;
    }

    public Long getBeerId() 
    {
        return beerId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("activityId", getActivityId())
            .append("beerId", getBeerId())
            .toString();
    }
}
